Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OctetSeqA.h File Reference

`#include "tao/orbconf.h"`

Include dependency graph for OctetSeqA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::OctetSeq &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::OctetSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::OctetSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::OctetSeq *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::OctetSeq * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::OctetSeq & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::OctetSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::OctetSeq *& |
| ) |